### A free/open-source library for quantitative finance

Public Member Functions
AmericanPayoffAtHit Class Reference

Analytic formula for American exercise payoff at-hit options. More...

`#include <ql/pricingengines/americanpayoffathit.hpp>`

List of all members.

## Public Member Functions

| AmericanPayoffAtHit (Real spot, DiscountFactor discount, DiscountFactor dividendDiscount, Real variance, const boost::shared_ptr< StrikedTypePayoff > &payoff)
Real | value () const
Real | delta () const
Real | gamma () const
Real | rho (Time maturity) const

## Detailed Description

Analytic formula for American exercise payoff at-hit options.

Possible enhancements:
  calculate greeks